<?php
add_event_handler('loc_end_page_header', 'media_icon_picture_css');
add_event_handler('render_element_content','media_icon_add_tag_picture',EVENT_HANDLER_PRIORITY_NEUTRAL+10,2);

function media_icon_add_tag_picture($content, $element_info) {
	global $conf;
	
	$conf_media_icon_general = unserialize($conf['media_icon_general']);
	$media_icon_type = "";
	
	switch (strrchr($element_info['file'], ".")) {
		case ".pdf":
			if ($conf_media_icon_general['support']['pdf'] == 1)
				$media_icon_type = "pdf";
			break;
		case ".docx":
			if ($conf_media_icon_general['support']['document'] == 1)
				$media_icon_type = "document";
			break;
		case ".doc":
			if ($conf_media_icon_general['support']['document'] == 1)
				$media_icon_type = "document";
			break;
		case ".odt":
			if ($conf_media_icon_general['support']['document'] == 1)
				$media_icon_type = "document";
			break;
		case ".xlsx":
			if ($conf_media_icon_general['support']['spreadsheet'] == 1)
				$media_icon_type = "spreadsheet";
			break;
		case ".xls":
			if ($conf_media_icon_general['support']['spreadsheet'] == 1)
				$media_icon_type = "spreadsheet";
			break;
		case ".ods":
			if ($conf_media_icon_general['support']['spreadsheet'] == 1)
				$media_icon_type = "spreadsheet";
			break;
		case ".pptx":
			if ($conf_media_icon_general['support']['presentation'] == 1)
				$media_icon_type = "presentation";
			break;
		case ".ppt":
			if ($conf_media_icon_general['support']['presentation'] == 1)
				$media_icon_type = "presentation";
			break;
		case ".odp":
			if ($conf_media_icon_general['support']['presentation'] == 1)
				$media_icon_type = "presentation";
			break;
	}
	
	if ($media_icon_type != "") {
		preg_match('/<\s*img\s+[^>]*?src\s*=\s*(\'|\")(.*?)\\1[^>]*?\/?\s*>/i',$content,$match);
	
		$content = str_replace($match[0],'<span class="media_icon media_icon_'.$media_icon_type.'_'.$conf_media_icon_general['style'].'"></span>'.$match[0].'</a>',$content);
	}
	
	return $content;
}

function media_icon_picture_css() {
	global $template, $conf;
	
	$conf_media_icon_general = unserialize($conf['media_icon_general']);
	$conf_media_icon_advanced = unserialize($conf['media_icon_advanced']);
	
	$template->set_filename('media_icon_template', dirname(__FILE__).'/template/media_icon_picture.tpl');
	
	$template->assign(
		'media_icon_advanced',
		array(
			'xposition' => $conf_media_icon_advanced['xposition'],
			'yposition' => $conf_media_icon_advanced['yposition'],
			'opacity' => $conf_media_icon_advanced['opacity'],
		)
	);
	
	$template->concat('PLUGIN_INDEX_CONTENT_END', $template->parse('media_icon_template', true));
}
?>